Package org.apache.commons.collections4.multiset

# Class AbstractMultiSet.EntrySet<E>

java.lang.Object
java.util.AbstractCollection<MultiSet.Entry<E>>
java.util.AbstractSet<MultiSet.Entry<E>>
org.apache.commons.collections4.multiset.AbstractMultiSet.EntrySet<E>

Type Parameters:
  `E` - The element type.

All Implemented Interfaces:
  `Iterable<MultiSet.Entry<E>>`, `Collection<MultiSet.Entry<E>>`, `Set<MultiSet.Entry<E>>`

Enclosing class:
  `AbstractMultiSet<E>`

protected static class AbstractMultiSet.EntrySet<E> extends AbstractSet<MultiSet.Entry<E>>
Inner class EntrySet.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntrySet(AbstractMultiSet<E> parent)`
  Constructs a new view of the MultiSet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Object obj)`
  `Iterator<MultiSet.Entry<E>>`
  `iterator()`
  `boolean`
  `remove(Object obj)`
  `int`
  `size()`

  ### Methods inherited from class java.util.AbstractSet

  `equals, hashCode, removeAll`

  ### Methods inherited from class java.util.AbstractCollection

  `add, addAll, clear, containsAll, isEmpty, retainAll, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, containsAll, isEmpty, retainAll, spliterator, toArray, toArray`

- ## Constructor Details

  - ### EntrySet

    protected EntrySet(AbstractMultiSet<E> parent)
    Constructs a new view of the MultiSet.
    Parameters:
      `parent` - The parent MultiSet

- ## Method Details

  - ### contains

    public boolean contains(Object obj)
    Specified by:
      `contains` in interface `Collection<E>`
    Specified by:
      `contains` in interface `Set<E>`
    Overrides:
      `contains` in class `AbstractCollection<MultiSet.Entry<E>>`

  - ### iterator

    public Iterator<MultiSet.Entry<E>> iterator()
    Specified by:
      `iterator` in interface `Collection<E>`
    Specified by:
      `iterator` in interface `Iterable<E>`
    Specified by:
      `iterator` in interface `Set<E>`
    Specified by:
      `iterator` in class `AbstractCollection<MultiSet.Entry<E>>`

  - ### remove

    public boolean remove(Object obj)
    Specified by:
      `remove` in interface `Collection<E>`
    Specified by:
      `remove` in interface `Set<E>`
    Overrides:
      `remove` in class `AbstractCollection<MultiSet.Entry<E>>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<E>`
    Specified by:
      `size` in interface `Set<E>`
    Specified by:
      `size` in class `AbstractCollection<MultiSet.Entry<E>>`